Debian Bug report logs - #498313
[PTS] please link to patch-tracker.debian.org

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Paul Wise <pabs@debian.org>

Date: Mon, 1 Sep 2008 15:45:01 UTC

Severity: normal

Tags: moreinfo

Merged with 579538

Done: Giovanni Mascellani <gio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, seanius@debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#497410; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to seanius@debian.org, Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: packages.debian.org: please link to patch-tracking.debian.net
Date: Mon, 01 Sep 2008 23:36:06 +0800
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Severity: wishlist
X-Debbugs-CC: seanius@debian.org

It would be nice if packages.debian.org/sid/foo linked to
patch-tracking.debian.net/package/foo/1.2.3-4

In my opinion, packages.d.o is the right place for this (rather than the
PTS) because it is more directed at users and people outside Debian.

There does not appear to be a machine-parsable index of all the packages
with patches and their versions, would this be possible to add Sean? 

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#497410; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 497410@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Paul Wise <pabs@debian.org>, 497410@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#497410: packages.debian.org: please link to patch-tracking.debian.net
Date: Mon, 1 Sep 2008 21:19:09 +0200
[Message part 1 (text/plain, inline)]
tags 497410 moreinfo
thanks

hiya,

On Monday 01 September 2008 05:36:06 pm Paul Wise wrote:
> There does not appear to be a machine-parsable index of all the packages
> with patches and their versions, would this be possible to add Sean?

it should be pretty straightforward to add something like this, yes.

it could be done on a per-package basis, as well as a single massive index 
file, and it could be formatted in any number of ways (csv, rfc822-ish, 
xml...) .  so... i'll need a little more info on *how* you'd like this 
implemented before i hack out any code of course.



	sean
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Mon, 01 Sep 2008 19:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#497410; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 497410@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: sean finney <seanius@debian.org>
Cc: 497410 <497410@bugs.debian.org>
Subject: Re: Bug#497410: packages.debian.org: please link to patch-tracking.debian.net
Date: Tue, 02 Sep 2008 09:14:18 +0800
[Message part 1 (text/plain, inline)]
On Mon, 2008-09-01 at 21:19 +0200, sean finney wrote:

> it could be done on a per-package basis, as well as a single massive index 
> file, and it could be formatted in any number of ways (csv, rfc822-ish, 
> xml...) .  so... i'll need a little more info on *how* you'd like this 
> implemented before i hack out any code of course.

Hmm, not entirely sure what format sould be used, djpig?

I'm imagining the data required would be something like:

http://patch-tracking.debian.net/debian/dists/unstable/main/source/Patches

Package: foo
Version: 1.2.3-4
URL-all: http://patch-tracking.debian.net/package/foo
URL-this-version: http://patch-tracking.debian.net/package/foo/1.2.3-4
Type: Debian-diff
Patches-series: 5
Patches-debian: 2

Not sure if rfc822 is appropriate, nor if we want to structure the data
locations like apt archives.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#497410; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 497410@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Paul Wise <pabs@debian.org>, 497410@bugs.debian.org
Cc: sean finney <seanius@debian.org>
Subject: Re: Bug#497410: packages.debian.org: please link to patch-tracking.debian.net
Date: Tue, 9 Sep 2008 00:23:47 +0200
[Message part 1 (text/plain, inline)]
clone 497410 -1
reassign -1 qa.debian.org
user qa.debian.org@packages.debian.org
usertag -1 + pts
thanks

On Mon, Sep 01, 2008 at 11:36:06PM +0800, Paul Wise wrote:
> In my opinion, packages.d.o is the right place for this (rather than the
> PTS) because it is more directed at users and people outside Debian.

Well, I do want to have links to the patch tracker also from the PTS.
The reason being that even from the package maintainer point of view it
is quite important to have a look at the list of Debian patches (as a UI
I'm currently thinking at a drop down menu linking to both the overview
page and to the single patches).

> There does not appear to be a machine-parsable index of all the packages
> with patches and their versions, would this be possible to add Sean? 

For the PTS, the better form would be a global index that can be
downloaded routinely containing for each (source) package the list of
applied patches. From the used format it should be possible to construct
mechanically all the relevant URLs (link to the per-package package and
links to the per-patch pages).

The need of a global file is to be able to download all information at
once, instead of hammering the patch tracker.

I presume the same format would be suitable for packages.d.o.

Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
I'm still an SGML person,this newfangled /\ All one has to do is hit the
XML stuff is so ... simplistic  -- Manoj \/ right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Bug 497410 cloned as bug 498313. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Sep 2008 22:27:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `www.debian.org' to `qa.debian.org'. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 08 Sep 2008 22:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to `[PTS] please link to patch-tracking.debian.net' from `packages.debian.org: please link to patch-tracking.debian.net'. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Tue, 09 Sep 2008 09:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to '[PTS] please link to patch-tracker.debian.org' from '[PTS] please link to patch-tracking.debian.net' Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sun, 06 Sep 2009 06:09:03 GMT) Full text and rfc822 format available.

Forcibly Merged 498313 579538. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Mon, 03 May 2010 10:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#498313; Package qa.debian.org. (Wed, 27 Jul 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 27 Jul 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #37 received at 498313@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 498313@bugs.debian.org, control@bugs.debian.org
Subject: Patch
Date: Wed, 27 Jul 2011 23:24:46 +0200
[Message part 1 (text/plain, inline)]
tag 498313 + patch
thanks

Here is a patch.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org
[0001-Adding-PTS-links-to-patch-tracker.d.o-closes-498313.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#498313; Package qa.debian.org. (Wed, 27 Jul 2011 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 27 Jul 2011 22:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 498313@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Giovanni Mascellani <gio@debian.org>
Cc: 498313@bugs.debian.org
Subject: Re: Bug#498313: Patch
Date: Thu, 28 Jul 2011 00:15:24 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jul 27, 2011 at 11:24:46PM +0200, Giovanni Mascellani wrote:
> tag 498313 + patch
> thanks

tag 498313 - patch
thanks

> Here is a patch.

Thanks for producing a patch, but this is not the way we want to fix
this bug. The philosophy of the PTS for external links is to add them
only when we know that the external resource has something to say. We do
not want link to non-existent and, more important, non useful resources.

Please see the discussion of this bug log, which contains more info.

In this specific case, I don't think we want to link to the patch
tracker if there are no patches to upstream code shipped in the
package. For the PTS to be able to do that, patch-tracker.d.o needs to
be patched to produce a proper index (as already discussed in this bug
log).

Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 22:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#498313; Package qa.debian.org. (Wed, 27 Jul 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 27 Jul 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 498313@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 498313@bugs.debian.org
Subject: Re: Bug#498313: Patch
Date: Thu, 28 Jul 2011 00:24:27 +0200
[Message part 1 (text/plain, inline)]
Hi.

On 28/07/2011 00:15, Stefano Zacchiroli wrote:
> Thanks for producing a patch, but this is not the way we want to fix
> this bug. The philosophy of the PTS for external links is to add them
> only when we know that the external resource has something to say. We do
> not want link to non-existent and, more important, non useful resources.

It actually seems that Raphael has already committed the patch. Don't
know what to do, I'll leave to you and Raphael the decision about what
to do with my patch.

I wasn't aware of this design choice. I'll try to integrate my proposal
as soon as I've time. That said, I must admin that, as a PTS user, I
find it much more useful to have links to patch-tracker for non-relevant
patches than not having any link (so being forced each time to manually
go to patch-tracker.d.o). Of course YMMV.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#498313; Package qa.debian.org. (Wed, 27 Jul 2011 22:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 27 Jul 2011 22:36:15 GMT) Full text and rfc822 format available.

Message #54 received at 498313@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 498313@bugs.debian.org
Cc: Giovanni Mascellani <gio@debian.org>
Subject: Re: Bug#498313: Patch
Date: Thu, 28 Jul 2011 00:34:31 +0200
Hi,

On Thu, 28 Jul 2011, Stefano Zacchiroli wrote:
> Thanks for producing a patch, but this is not the way we want to fix
> this bug. The philosophy of the PTS for external links is to add them
> only when we know that the external resource has something to say. We do
> not want link to non-existent and, more important, non useful resources.

I merged (with too few review) before reading your answer but I'm not
going to revert it at this point even if I agree with you.

I think it's best to have link to the patch-tracker with many useless
links than no links at all. It can help upstream developer to discover
Debian patches and it makes people more aware of the existence of the
patch tracker.

And useless links is an incentive for anyone to help finish this but
nothing in the PTS will not bring attention to this bug. At least we're
not linking to 404 URLs...

Giovanni, the patch tracker has a link to its git repository. Do you feel
like providing a patch for it as well and get in touch with Sean Finney to
get it updated?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#498313; Package qa.debian.org. (Wed, 27 Jul 2011 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 27 Jul 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #59 received at 498313@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 498313@bugs.debian.org
Subject: Re: Bug#498313: Patch
Date: Thu, 28 Jul 2011 00:38:36 +0200
[Message part 1 (text/plain, inline)]
On 28/07/2011 00:34, Raphael Hertzog wrote:
> Giovanni, the patch tracker has a link to its git repository. Do you feel
> like providing a patch for it as well and get in touch with Sean Finney to
> get it updated?

Yes, I think I'll do it.

BTW, I'm subscribed to debian-qa@, so no need to include me explicitly
in the recipients.

Gio.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#498313; Package qa.debian.org. (Thu, 28 Jul 2011 08:16:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 28 Jul 2011 08:16:57 GMT) Full text and rfc822 format available.

Message #64 received at 498313-quiet@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 498313-quiet@bugs.debian.org
Subject: Re: Bug#498313: Patch
Date: Thu, 28 Jul 2011 10:13:03 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jul 28, 2011 at 12:34:31AM +0200, Raphael Hertzog wrote:
> I merged (with too few review) before reading your answer but I'm not
> going to revert it at this point even if I agree with you.
> 
> I think it's best to have link to the patch-tracker with many useless
> links than no links at all. It can help upstream developer to discover
> Debian patches and it makes people more aware of the existence of the
> patch tracker.

Fair enough. I'm a bit worried about potential link creep that this
might induce, but you definitely have a point here.

> Giovanni, the patch tracker has a link to its git repository. Do you
> feel like providing a patch for it as well and get in touch with Sean
> Finney to get it updated?

Long time ago I started having a look at it with the intention of doing
it myself, but I've never found enough time to actually end up doing
it. Thinking of it, having the (potentially broken) links might help
finding additional workforce for the patch tracker.

Thanks for the merge,
Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Mon, 22 Aug 2011 20:15:04 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Mon, 22 Aug 2011 20:15:04 GMT) Full text and rfc822 format available.

Message #69 received at 498313-done@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 498313-done@bugs.debian.org, 532872-done@bugs.debian.org
Subject: Closing
Date: Mon, 22 Aug 2011 22:13:44 +0200
[Message part 1 (text/plain, inline)]
These bugs are already fixed. Other discussion about this topic is at:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=638058

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Mon, 22 Aug 2011 20:15:04 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Mon, 22 Aug 2011 20:15:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:57:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.